POST /api/external/hub/v1/inventory_requests
application/json

Body

  • warehouse_id integer Required

    ID of the destination warehouse

  • notes string

    Optional notes for the inventory request

  • estimated_ship_date string(date)

    Estimated ship date (YYYY-MM-DD)

  • shipment_method string Required

    Shipment method

    Values are CUSTOMER or PATTERN.

  • packslip_source string

    Packslip source (optional)

    Values are CUSTOMER or PATTERN.

  • items array[object] Required
    Hide items attributes Show items attributes object
    • id integer

      Internal Pattern ItemID

    • mpn string

      Manufacturer Part Number

    • listing_id integer

      Internal Pattern ListingID

    • listing_sku string

      Listing SKU on the marketplace

    • quantity integer Required

      Quantity to ship

    • case_unit string

      Case unit (optional)

    • exp_date string(date)

      Expiration date (optional)

    • lot_number string

      Lot number (optional)

Responses

  • 401 application/json

    Unauthorized - missing or invalid authentication

    Hide response attribute Show response attribute object
    • error string
  • 422 application/json

    Unprocessable Entity

    Hide response attributes Show response attributes object
    • success boolean
    • errors array[string]
  • 200 application/json

    Inventory request created successfully

    Hide response attributes Show response attributes object
    • success boolean
    • errors array[string]
    • ir_number string

      The created inventory request number

POST /api/external/hub/v1/inventory_requests
curl \
 --request POST 'https://api.useshelf.com/api/external/hub/v1/inventory_requests' \
 --header "Content-Type: application/json" \
 --data '{"warehouse_id":42,"notes":"string","estimated_ship_date":"2026-05-04","shipment_method":"CUSTOMER","packslip_source":"CUSTOMER","items":[{"id":42,"mpn":"string","listing_id":42,"listing_sku":"string","quantity":42,"case_unit":"string","exp_date":"2026-05-04","lot_number":"string"}]}'
Request examples
{
  "warehouse_id": 42,
  "notes": "string",
  "estimated_ship_date": "2026-05-04",
  "shipment_method": "CUSTOMER",
  "packslip_source": "CUSTOMER",
  "items": [
    {
      "id": 42,
      "mpn": "string",
      "listing_id": 42,
      "listing_sku": "string",
      "quantity": 42,
      "case_unit": "string",
      "exp_date": "2026-05-04",
      "lot_number": "string"
    }
  ]
}
Response examples (401)
{
  "error": "string"
}
Response examples (422)
{
  "success": true,
  "errors": [
    "string"
  ]
}
Response examples (200)
{
  "success": true,
  "errors": [
    "string"
  ],
  "ir_number": "string"
}